Get a global scenario for a zone
GET
/api/zones/{zoneId}/security/global-scenarios/{id}
Returns one active global scenario including the zone's effective enabledForZone flag. Disabled or testing globals, and non-global ids, return 404.
Authorizations
ApiToken
Long-lived API token created via POST /api/api-tokens (returned once in plaintext).
Type
API Key (header: X-API-TOKEN)
or
JWT
JWT access token obtained via POST /api/auth/login. Send as: Authorization: Bearer
Type
HTTP (bearer)
Parameters
Path Parameters
zoneId*
zone-global-scenario identifier
Type
Requiredstring
id*
zone-global-scenario identifier
Type
Requiredstring
Responses
zone-global-scenario resource
JSON "@context": "string", "@id": "string", "@type": "string", "id": "0193b3e2-6c1a-7f2a-9a1b-2d3e4f5a6b7c", "name": "block-sql-injection", "testing": false, "evaluationScope": "ip", "definition": "name: block-sql-injection
enabled: true
testing: false
scope: ip
", "enabledForZone": true
{
}
